from odoo import fields, models
class ResPartner(models.Model):
    _inherit = 'res.partner'

    inn = fields.Char('INN', related='vat')
    kpp = fields.Char('KPP', size=9)  # iec
    okpo = fields.Char('OKPO', size=14)  # okpo
    ogrn = fields.Char('ОГРН')  # psrn
    type = fields.Selection(selection_add=[('director', 'Директор'), ('accountant', 'Бухгалтер')])
    facsimile = fields.Binary("Подпись")
    stamp = fields.Binary("Печать")

    arceat = fields.Char(  # основной код по ОКВЭД
        string="Main code ARCEAT",
        help="All-Russian classifier of economic activity types, Main code for company"
        "\nFormat: 00.00 or 00.00.0 or 00.00.00",
    )

    psrn_sp = fields.Char(  # огрн ип
        string="PSRN SP",
        help="Primary State Registration Number of Sole Proprietorship"
        "\nContains 15 digits. First digit should be 3",
    )

    company_form = fields.Selection(
        selection=[
            ("sp", "Sole Proprietor"),
            ("pshp", "Partnership"),
            ("coop", "Cooperative"),
            ("plc", "Private Limited Company"),
            ("jsc", "Joint stock company"),
            ("pc", "Public company"),
            ("ga", "Government agency"),
            ("сjsc", "Сlosed joint stock company"),
        ],
        string="Institutional-Legal Form",
        default="plc",
    )